Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Resume the current run

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/resume' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Run was resumed successfully

Bodyapplication/json
hasErrorboolean
errorstring or null
Response
application/json
{ "hasError": true, "error": "string" }

Post Unload Cleanup

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/cleanup-unloading' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
hasErrorboolean
errorstring or null
Response
application/json
{ "hasError": true, "error": "string" }

Finds all normalization worklist items that are invalid

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The id of the protocol

stepIdinteger(int32)required

The id of the normalization step

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/normalization-file-errors/{protocolId}/{stepId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The normalization file errors for the provided protocol in the normalization step

Bodyapplication/json
normalizationDataArray of objects or null(NormalizationDatum)

The normalization items that had issues

allowedErrorThresholdinteger(int32)

The number of normalization issues allowed for the step

errorStringstring or null

The display string for all normalization errors

Response
application/json
{ "normalizationData": [ {} ], "allowedErrorThreshold": 0, "errorString": "string" }

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations